Paycose Docs
Coupon
POST/coupons/{id}/labels

Create Coupons Labels

Request body: ApplyRequest

Responses: 200, 400, 500

Generated from the code contract; no hand-written description yet.

Request

Example

curl -X POST 'https://api.paycose.com/api/v1/app1/platform/wallet/coupons/{{id}}/labels' \
  -H 'Content-Type: application/json' \
  -d '{
  "add": [
    "<string>"
  ],
  "remove": [
    "<string>"
  ]
}'

Headers

NameValue
Content-Typeapplication/json

Body

NameTypeValue
addarray[1]
removearray[1]
{
  "add": [
    "<string>"
  ],
  "remove": [
    "<string>"
  ]
}

Responses

200200 OK

Headers

NameValue
Content-Typeapplication/json

Body

{
  "id": "<string>",
  "object": "<string>",
  "labels": "<core.Labels>"
}
400400 Bad Request

Headers

NameValue
Content-Typeapplication/json

Body

{
  "object": "error",
  "code": "<string>",
  "key": "<string>",
  "i18n_key": "<string>",
  "message": "<string>",
  "request_id": "<string>"
}
500500 Internal Server Error

Headers

NameValue
Content-Typeapplication/json

Body

{
  "object": "error",
  "code": "<string>",
  "key": "<string>",
  "i18n_key": "<string>",
  "message": "<string>",
  "request_id": "<string>"
}

On this page